<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.usoft.credit</groupId>
    <artifactId>usoft-credit-parent</artifactId>
    <packaging>pom</packaging>
    <version>1.0.0-SNAPSHOT</version>
    <modules>
        <module>usoft-credit-grpc-api</module>
        <module>usoft-credit-utils</module>
        <module>usoft-credit-service</module>
        <module>usoft-credit-dal</module>
        <module>usoft-credit-rest-service</module>
        <module>usoft-credit-bl</module>
        <module>usoft-credit-rest-domain</module>
        <module>usoft-credit-rest-api</module>
    </modules>


    <properties>
        <protoc-gen-grpc-java.version>1.11.0</protoc-gen-grpc-java.version>
        <spring-boot-starter-web.version>1.5.11.RELEASE</spring-boot-starter-web.version>
        <spring-boot-starter-test.version>1.5.11.RELEASE</spring-boot-starter-test.version>
        <httpclient.version>4.5.6</httpclient.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>

        <!-- base dependencies-->
        <slf4j-api.version>1.7.25</slf4j-api.version>
        <logback-classic.version>1.2.3</logback-classic.version>
        <junit-jupiter-api.version>5.2.0</junit-jupiter-api.version>
        <commons-lang3.version>3.7</commons-lang3.version>
        <commons-collections4.version>4.2</commons-collections4.version>
        <spring-boot-starter-data-redis.version>2.0.3.RELEASE</spring-boot-starter-data-redis.version>
        <fastjson.version>1.2.47</fastjson.version>

        <!-- grpc dependencies -->
        <grpc-spring-boot-starter.version>2.3.2</grpc-spring-boot-starter.version>
        <grpc-all.version>1.11.0</grpc-all.version>
        <netty-all.version>4.1.22.Final</netty-all.version>
        <mybatis-spring-boot-starter.version>1.3.2</mybatis-spring-boot-starter.version>
        <mybatis-generator-core.version>1.3.7</mybatis-generator-core.version>
        <mysql-connector-java.version>6.0.6</mysql-connector-java.version>
    </properties>

    <distributionManagement>
        <!-- 发布release仓库 -->
        <repository>
            <id>platform-release</id>
            <name>platform-release</name>
            <url>http://113.105.74.141:8081/artifactory/libs-release-local</url>
        </repository>
        <!-- 发布快照版本 -->
        <snapshotRepository>
            <id>platform-snapshots</id>
            <name>platform-snapshots</name>
            <url>http://113.105.74.141:8081/artifactory/libs-snapshot-local</url>
        </snapshotRepository>
    </distributionManagement>

    <dependencyManagement>
        <dependencies>

            <!--###########################日志相关#############################-->
            <dependency>
                <groupId>org.slf4j</groupId>
                <artifactId>slf4j-api</artifactId>
                <version>${slf4j-api.version}</version>
            </dependency>
            <dependency>
                <groupId>ch.qos.logback</groupId>
                <artifactId>logback-classic</artifactId>
                <version>${logback-classic.version}</version>
            </dependency>
            <!--############日志相关########################################-->

            <!--############单元测试###########################################-->
            <dependency>
                <groupId>org.junit.jupiter</groupId>
                <artifactId>junit-jupiter-api</artifactId>
                <version>${junit-jupiter-api.version}</version>
                <scope>test</scope>
            </dependency>
            <!--############单元测试###########################################-->

            <!--############org.apache.commons###########################################-->
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-lang3</artifactId>
                <version>${commons-lang3.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-collections4</artifactId>
                <version>${commons-collections4.version}</version>
            </dependency>
            <!--############org.apache.commons###########################################-->

            <!--############redis#########################################################-->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-data-redis</artifactId>
                <version>${spring-boot-starter-data-redis.version}</version>
            </dependency>
            <!--############redis#########################################################-->

            <!--############Json#########################################################-->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>${fastjson.version}</version>
            </dependency>
            <!--############Json#########################################################-->

            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-web</artifactId>
                <version>${spring-boot-starter-web.version}</version>
            </dependency>

            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-test</artifactId>
                <version>${spring-boot-starter-test.version}</version>
                <scope>test</scope>
            </dependency>

            <dependency>
                <groupId>org.apache.httpcomponents</groupId>
                <artifactId>httpclient</artifactId>
                <version>${httpclient.version}</version>
            </dependency>

            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter</artifactId>
                <version>1.5.11.RELEASE</version>
            </dependency>

            <dependency>
                <groupId>org.lognet</groupId>
                <artifactId>grpc-spring-boot-starter</artifactId>
                <version>${grpc-spring-boot-starter.version}</version>
            </dependency>
            <dependency>
                <groupId>io.grpc</groupId>
                <artifactId>grpc-all</artifactId>
                <version>${grpc-all.version}</version>
            </dependency>
            <dependency>
                <groupId>io.netty</groupId>
                <artifactId>netty-all</artifactId>
                <version>${netty-all.version}</version>
            </dependency>

            <!--############mybatis###########################################-->
            <dependency>
                <groupId>org.mybatis.spring.boot</groupId>
                <artifactId>mybatis-spring-boot-starter</artifactId>
                <version>${mybatis-spring-boot-starter.version}</version>
            </dependency>
            <dependency>
                <groupId>org.mybatis.generator</groupId>
                <artifactId>mybatis-generator-core</artifactId>
                <version>${mybatis-generator-core.version}</version>
            </dependency>
            <dependency>
                <groupId>mysql</groupId>
                <artifactId>mysql-connector-java</artifactId>
                <version>${mysql-connector-java.version}</version>
            </dependency>
            <!--############mybatis########################################-->

        </dependencies>
    </dependencyManagement>

    <profiles>
        <profile>
            <!-- 开发环境 -->
            <id>dev</id>
            <activation>
                <activeByDefault>true</activeByDefault>
            </activation>
            <properties>
                <spring.active.profile>dev</spring.active.profile>
            </properties>
        </profile>
        <profile>
            <!-- 测试环境 -->
            <id>test</id>
            <properties>
                <spring.active.profile>test</spring.active.profile>
            </properties>
        </profile>
        <profile>
            <!-- 生产环境 -->
            <id>prod</id>
            <properties>
                <spring.active.profile>prod</spring.active.profile>
            </properties>
        </profile>
    </profiles>


</project>